1

I have Nexus 5 D820 running Android 6.0.1 (MMB29K). I flashed TWRP (v2.8.7.x) and while doing so I vaguely remember that I opted for a read-only installation so that the future updates will work. I also rooted without flashing any kernel.

When I tried to install the update MMB29S, I get an error in TWRP console: enter image description here

The purpose of the above steps is to allow system updates to work and I wonder whether I had installed TWRP in read-only mode or not.

Is there any way for me to find out in a non-destructive way?

Update contents of /data/media/0/TWRP/.twrps:

tw_action_vibrate  160
tw_backup_list   /boot;/efs1;
tw_brightness  255
tw_brightness_pct  100
tw_button_vibrate  80
tw_color_theme  0
tw_force_md5_check  0
tw_gui_sort_order  1
tw_inject_after_zip  0
tw_keyboard_vibrate  40 
tw_military_time  0
tw_mount_system_ro  0
tw_mtp_debug  0 
tw_mtp_enabled  1
tw_never_show_system_ro_page  0 
tw_no_screen_timeout  0
tw_reboot_after_flash_option  0
tw_rm_rf 0
tw_screen_timeout_secs  60
tw_sdext_size  512 
tw_sdpart_file_system  ext3
tw_show_spam  0
tw_signed_zip_verify  0
tw_simulate_actions  0
tw_simulate_fail  0 
tw_skip_md5_check  0
tw_skip_md5_generate  0 
tw_sort_files_by_date  0
tw_storage_path  /data/media/0  
tw_swap_size  32
tw_time_zone  CST6CDT,M3.2.0,M11.1.0 
tw_time_zone_guidst  1
tw_time_zone_guioffset  0 
tw_time_zone_guisel  CST6;CDT,M3.2.0,M11.1.0
tw_use_compression  0
tw_zip_location  /sdcard
  • Wierd, it says your your device has lollipop LRX22G not marshmallow MMB29K when checking the system. That's why it aborted at that point. But an easy way to check if your read only try to create a folder in the system. – Bo Lawson Jan 22 '16 at 16:17
  • Thanks @BoLawson for the trick. I tried to copy the .twrps file to /system and it was successful. Probably my memory should be wrong. BTW, what part of the .twrps file says I have LRX22G - just curious to know. – Narayanan Jan 25 '16 at 4:34
  • If you look 5 lines up from the first red error message. You will notice a step in the package compatibility verification. When checking the system it states: > package expects build of... MMB29k.. or MMB29S.. Then 2 lines up from the red error it states that: > this device has... LRX22G.. Then throws the binary error and aborts. The weird thing is Hammerhead went from 5.0.1 (LRX22C) to 5.1 (LMY47D). The Build # LRX22G was for nexus 7's and 10. It looks like your running a custom ROM that was compiled from the LXR22G source. developers.google.com/android/nexus/images?hl=en – Bo Lawson Jan 25 '16 at 14:38
  • :-z quite confusing. I am pretty sure I downloaded the factory image of version 6.0.1 and even used stock kernel to root. – Narayanan Jan 26 '16 at 8:43

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.